/* Problem URL: https://codeforces.com/problemset/problem/816/B */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (size_t i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (size_t i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n, k, q;
    cin >> n >> k >> q;

    vi pref(2 * 1e5 + 1);

    while (n--) {
        int a, b;
        cin >> a >> b;

        pref[a - 1]++;
        pref[b]--;
    }

    n = 2 * 1e5 + 1;
    nrep(i, 1, n) {
        pref[i] += pref[i - 1];
    }

    while (__builtin_popcount(n) != 1) {
        n++;
        pref.push_back(0);
    }

    vvi seg(n * 2);
    nrep(i, n, n * 2) {
        seg[i] = {pref[i - n]};
    }

    function<void(int, int, int)> build = [&](int i, int l, int r) {
        if (l == r) {
            return;
        }

        int mid = (l + r) / 2;
        build(i * 2, l, mid);
        build(i * 2 + 1, mid + 1, r);

        merge(all(seg[i * 2]), all(seg[i * 2 + 1]), back_inserter(seg[i]));
    };

    build(1, 0, n - 1);

    while (q--) {
        int tl, tr;
        cin >> tl >> tr;
        tl--, tr--;

        function<int(int, int, int)> search = [&](int i, int l, int r) {
            if (l > tr || r < tl) {
                return 0;
            }

            if (l >= tl && r <= tr) {
                return (int)(seg[i].size() - (lower_bound(all(seg[i]), k) - seg[i].begin()));
            }

            int mid = (l + r) / 2;
            return search(i * 2, l, mid) + search(i * 2 + 1, mid + 1, r);
        };

        cout << search(1, 0, n - 1) << '\n';
    }
}
